View Issue Details

IDProjectCategoryView StatusLast Update
0017930LazarusLCLpublic2011-12-01 11:25
ReporterMartin FriebeAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0017930: Font.Bold not honoured, after Font.Style
Descriptionput the code below in a forms OnPaint event (tested on w32)

Both lines are shown none bold.

The reason is that:
   Canvas.Font.Style := [];
does not update FFlags in TFPCanvasHelper (base of TFont)
Therefore Flags are stil 32 (bold). But Style is [] (none bold)

TextRect honours Style.
But
  Canvas.Font.Bold := True;
checks against Flags. So it believes wrongly, that nothing needs to be changed.

 
Additional Information   Canvas.Font.Bold := True;
   Canvas.Font.Style := [];
  Canvas.TextRect(ClientRect, 11, 11, 'Test');

  Canvas.Font.Bold := True;
  Canvas.TextRect(ClientRect, 11, 33, 'bold');
TagsNo tags attached.
Fixed in Revision28268
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2010-11-16 09:26

manager   ~0043082

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-11-14 13:44 Martin Friebe New Issue
2010-11-14 13:44 Martin Friebe LazTarget => -
2010-11-14 13:44 Martin Friebe Widgetset => Win32/Win64
2010-11-16 09:26 Paul Ishenin Fixed in Revision => 28268
2010-11-16 09:26 Paul Ishenin LazTarget - => 0.9.30
2010-11-16 09:26 Paul Ishenin Status new => resolved
2010-11-16 09:26 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-11-16 09:26 Paul Ishenin Resolution open => fixed
2010-11-16 09:26 Paul Ishenin Assigned To => Paul Ishenin
2010-11-16 09:26 Paul Ishenin Note Added: 0043082
2010-11-16 09:26 Paul Ishenin Target Version => 0.9.30
2011-12-01 11:25 Marc Weustink Status resolved => closed